package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 任务站点参数
 * </p>
 *
 * @author mk
 * @since 2024-06-03
 */
@TableName("task_district_param")
@ApiModel(value="TaskDistrictParam对象", description="任务站点参数")
public class TaskDistrictParam extends Model<TaskDistrictParam> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "站点id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "站点名称")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "物业名称")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "代理名称")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "当前派单id")
    @TableField("task_no")
    private Long taskNo;

    @ApiModelProperty(value = "常规接单限额")
    @TableField("common_limit")
    private Integer commonLimit;

    @ApiModelProperty(value = "特殊接单限额")
    @TableField("special_limit")
    private Integer specialLimit;

    @ApiModelProperty(value = "紧急接单限额")
    @TableField("urgent_limit")
    private Integer urgentLimit;

    @ApiModelProperty(value = "人员休息时长（分）")
    @TableField("user_rest_duration")
    private Integer userRestDuration;

    @ApiModelProperty(value = "信标编号")
    @TableField("beacon_no")
    private Integer beaconNo;

    @ApiModelProperty(value = "薪资基数")
    @TableField("wage_base")
    private Double wageBase;

    @ApiModelProperty(value = "积分基数")
    @TableField("point")
    private Double point;

    @ApiModelProperty(value = "操作人id")
    @TableField("op_user_id")
    private Long opUserId;

    @ApiModelProperty(value = "操作人员")
    @TableField("op_user_name")
    private String opUserName;

    @ApiModelProperty(value = "操作时间")
    @TableField("op_time")
    private Date opTime;

    @ApiModelProperty(value = "备注")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "运维任务发布开关")
    @TableField("dev_task_flag")
    private Integer devTaskFlag;

    @ApiModelProperty(value = "智清洁打卡任务校验开关(0:关；1:开)")
    @TableField("duty_task_flag")
    private Integer dutyTaskFlag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public Long getTaskNo() {
        return taskNo;
    }

    public void setTaskNo(Long taskNo) {
        this.taskNo = taskNo;
    }

    public Integer getCommonLimit() {
        return commonLimit;
    }

    public void setCommonLimit(Integer commonLimit) {
        this.commonLimit = commonLimit;
    }

    public Integer getSpecialLimit() {
        return specialLimit;
    }

    public void setSpecialLimit(Integer specialLimit) {
        this.specialLimit = specialLimit;
    }

    public Integer getUrgentLimit() {
        return urgentLimit;
    }

    public void setUrgentLimit(Integer urgentLimit) {
        this.urgentLimit = urgentLimit;
    }

    public Integer getUserRestDuration() {
        return userRestDuration;
    }

    public void setUserRestDuration(Integer userRestDuration) {
        this.userRestDuration = userRestDuration;
    }

    public Integer getBeaconNo() {
        return beaconNo;
    }

    public void setBeaconNo(Integer beaconNo) {
        this.beaconNo = beaconNo;
    }

    public Double getWageBase() {
        return wageBase;
    }

    public void setWageBase(Double wageBase) {
        this.wageBase = wageBase;
    }

    public Double getPoint() {
        return point;
    }

    public void setPoint(Double point) {
        this.point = point;
    }

    public Long getOpUserId() {
        return opUserId;
    }

    public void setOpUserId(Long opUserId) {
        this.opUserId = opUserId;
    }

    public String getOpUserName() {
        return opUserName;
    }

    public void setOpUserName(String opUserName) {
        this.opUserName = opUserName;
    }

    public Date getOpTime() {
        return opTime;
    }

    public void setOpTime(Date opTime) {
        this.opTime = opTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getDevTaskFlag() {
        return devTaskFlag;
    }

    public void setDevTaskFlag(Integer devTaskFlag) {
        this.devTaskFlag = devTaskFlag;
    }

    public Integer getDutyTaskFlag() {
        return dutyTaskFlag;
    }

    public void setDutyTaskFlag(Integer dutyTaskFlag) {
        this.dutyTaskFlag = dutyTaskFlag;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TaskDistrictParam{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", districtName=" + districtName +
        ", propertyName=" + propertyName +
        ", agentName=" + agentName +
        ", taskNo=" + taskNo +
        ", commonLimit=" + commonLimit +
        ", specialLimit=" + specialLimit +
        ", urgentLimit=" + urgentLimit +
        ", userRestDuration=" + userRestDuration +
        ", beaconNo=" + beaconNo +
        ", wageBase=" + wageBase +
        ", point=" + point +
        ", opUserId=" + opUserId +
        ", opUserName=" + opUserName +
        ", opTime=" + opTime +
        ", memo=" + memo +
        ", devTaskFlag=" + devTaskFlag +
        ", dutyTaskFlag=" + dutyTaskFlag +
        "}";
    }
}
